## ros-indigo-mbf-msgs 0.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mbf_msgs)

find_package(catkin REQUIRED
  COMPONENTS
  actionlib_msgs
  genmsg
  geometry_msgs
  message_generation
  message_runtime
  nav_msgs
  std_msgs
)

add_service_files(
  DIRECTORY
  srv
  FILES
  CheckPose.srv
  CheckPath.srv
)

add_action_files(
  DIRECTORY
  action
  FILES
  GetPath.action
  ExePath.action
  Recovery.action
  MoveBase.action
)

generate_messages(
  DEPENDENCIES
  actionlib_msgs
  geometry_msgs
  nav_msgs
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS
  actionlib_msgs
  geometry_msgs
  message_runtime
  nav_msgs
  std_msgs
)

=== debian/changelog ===
ros-indigo-mbf-msgs (0.2.3-0trusty) trusty; urgency=high

  * Add outcome and message to the action's feedback in ExePath and MoveBase

 -- Jorge Santos <santos@magazino.eu>  Tue, 13 Nov 2018 11:00:00 -0000

ros-indigo-mbf-msgs (0.2.1-0trusty) trusty; urgency=high



 -- Jorge Santos <santos@magazino.eu>  Tue, 02 Oct 2018 11:00:00 -0000

ros-indigo-mbf-msgs (0.2.0-0trusty) trusty; urgency=high

  * Concurrency for planners, controllers and recovery behaviors
  * Adds concurrency slots to actions

 -- Jorge Santos <santos@magazino.eu>  Mon, 10 Sep 2018 12:00:00 -0000

ros-indigo-mbf-msgs (0.1.0-0trusty) trusty; urgency=high

  * First release of move_base_flex for kinetic and lunar
  ca

 -- Jorge Santos <santos@magazino.eu>  Wed, 21 Mar 2018 11:00:00 -0000

=== debian/control ===
Source: ros-indigo-mbf-msgs
Section: misc
Priority: extra
Maintainer: Jorge Santos <santos@magazino.eu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-genmsg, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-mbf-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-std-msgs
Description: The move_base_flex messages package providing the action definition files for the action GetPath, ExePath, Recovery and MoveBase.
 The action servers providing these action are implemented in mbf_abstract_nav.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-mbf-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
